# FinishPurchaseByGooglePlayRequest Schema

```txt
https://timelimit.io/FinishPurchaseByGooglePlayRequest
```



| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                                            |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------------------------------------------- |
| Can be instantiated | Yes        | Unknown status | No           | Forbidden         | Forbidden             | none                | [FinishPurchaseByGooglePlayRequest.schema.json](FinishPurchaseByGooglePlayRequest.schema.json "open original schema") |

## FinishPurchaseByGooglePlayRequest Type

`object` ([FinishPurchaseByGooglePlayRequest](finishpurchasebygoogleplayrequest.md))

# FinishPurchaseByGooglePlayRequest Properties

| Property                            | Type     | Required | Nullable       | Defined by                                                                                                                                                                                |
| :---------------------------------- | :------- | :------- | :------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [deviceAuthToken](#deviceauthtoken) | `string` | Required | cannot be null | [FinishPurchaseByGooglePlayRequest](finishpurchasebygoogleplayrequest-properties-deviceauthtoken.md "https://timelimit.io/FinishPurchaseByGooglePlayRequest#/properties/deviceAuthToken") |
| [receipt](#receipt)                 | `string` | Required | cannot be null | [FinishPurchaseByGooglePlayRequest](finishpurchasebygoogleplayrequest-properties-receipt.md "https://timelimit.io/FinishPurchaseByGooglePlayRequest#/properties/receipt")                 |
| [signature](#signature)             | `string` | Required | cannot be null | [FinishPurchaseByGooglePlayRequest](finishpurchasebygoogleplayrequest-properties-signature.md "https://timelimit.io/FinishPurchaseByGooglePlayRequest#/properties/signature")             |

## deviceAuthToken



`deviceAuthToken`

*   is required

*   Type: `string`

*   cannot be null

*   defined in: [FinishPurchaseByGooglePlayRequest](finishpurchasebygoogleplayrequest-properties-deviceauthtoken.md "https://timelimit.io/FinishPurchaseByGooglePlayRequest#/properties/deviceAuthToken")

### deviceAuthToken Type

`string`

## receipt



`receipt`

*   is required

*   Type: `string`

*   cannot be null

*   defined in: [FinishPurchaseByGooglePlayRequest](finishpurchasebygoogleplayrequest-properties-receipt.md "https://timelimit.io/FinishPurchaseByGooglePlayRequest#/properties/receipt")

### receipt Type

`string`

## signature



`signature`

*   is required

*   Type: `string`

*   cannot be null

*   defined in: [FinishPurchaseByGooglePlayRequest](finishpurchasebygoogleplayrequest-properties-signature.md "https://timelimit.io/FinishPurchaseByGooglePlayRequest#/properties/signature")

### signature Type

`string`

# FinishPurchaseByGooglePlayRequest Definitions
